import xyz.wbsite.wsqlite.ObjectClient;
import xyz.wbsite.wsqlite.entity.Example;

import java.io.File;
import java.sql.*;
import java.util.*;
import java.util.Date;

public class WsqliteTest {
    public static void main(String[] args) {
        try {
            List<Class> arrayList = new ArrayList();
            arrayList.add(Example.class);
            ObjectClient h = new ObjectClient(new File("D:\\test.db"), arrayList);

            System.out.println("测试 insert");
            Example example = new Example();
            example.setS("wangbing");
            example.setB(false);
            example.setBs(new byte[]{-1, 0, 1});
            example.setB1((byte) 1);
            example.setS1((short) 1);
            example.setAge(1);
            example.setId(1L);
            example.setF1(0.1f);
            example.setD1(0.1);
            example.setDate(new Date());

            h.insert(Example.class, example);

            System.out.println("测试 select");
            List<Example> select = h.select(Example.class, 1, 10);
            System.out.println(select.size());

            System.out.println("测试 update");
            example.setS("wangbing");
            example.setB(false);
            example.setBs(new byte[]{-2, 0, 2});
            example.setB1((byte) 1);
            example.setS1((short) 1);
            example.setAge(1);
            example.setId(1L);
            example.setF1(0.1f);
            example.setD1(0.1);
            example.setDate(new Date());
            int update = h.update(Example.class, example);
            System.out.println(update);

            System.out.println("测试 delete");
            int delete = h.delete(Example.class, "s = 'wangbing'");
            System.out.println(delete);

        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }
}